%define _unpackaged_files_terminate_build 1

Name: libpcap
Version: 1.10.4
Release: alt1
Epoch: 2

# Default optional switches
%def_enable dbus
%def_enable bluetooth
%def_enable usb
%def_enable yydebug
%def_enable packetring
%def_disable static

Summary: A system-independent interface for user-level packet capture
License: BSD
Group: System/Libraries
Url: http://www.tcpdump.org

# git://git.altlinux.org/gears/l/libpcap
Source: %name-%version-%release.tar

%define libname libpcap0.8

BuildRequires: flex
# bluetooth sniffing support
%{?_enable_bluetooth:BuildRequires: libbluez-devel}
# D-Bus support
%{?_enable_dbus:BuildRequires: libdbus-devel}

%package -n %libname
Summary: A system-independent interface for user-level packet capture
Group: System/Libraries
Provides: %name = %epoch:%version-%release
Obsoletes: %name

%package devel
Summary: Development environment for the packet capture library
Group: Development/C
Requires: %libname = %epoch:%version-%release

%package devel-static
Summary: Static packet capture library
Group: Development/C
Requires: %name-devel = %epoch:%version-%release

%description
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

%description -n %libname
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

%description devel
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains development files needed to develop libpcap-based
applications such as tcpdump, etc.

%description devel-static
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains the static pcap library needed to develop
statically linked libpcap-based applications.

%prep
%setup -n %name-%version-%release

%build
export V_RPATH_OPT=
autoconf -f -v
%configure \
	%{subst_enable dbus} \
	%{subst_enable bluetooth} \
	%{subst_enable usb} \
	%{subst_enable yydebug} \
	%{subst_enable packetring} \

%make_build shared pcap-config libpcap.pc %{?_enable_shared:libpcap.a}

%install
%make_install DESTDIR=%buildroot \
	install-bin install-include install-shared %{?_enable_shared:install-archive}

%define _customdocdir %_docdir/libpcap-%version

%files -n %libname
%_libdir/*.so.*
%_man7dir/*
%doc CHANGES CREDITS LICENSE README.md TODO

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_mandir/man[135]/*
%_libdir/pkgconfig/libpcap.pc

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Jun 05 2023 Arseny Maslennikov <arseny@altlinux.org> 2:1.10.4-alt1
- 1.9.1 -> 1.10.4.

* Tue May 26 2020 Nikita Ermakov <arei@altlinux.org> 2:1.9.1-alt2
- Try to use different sockets (AF_NETLINK, AF_UNIX, AF_INET) for ioctls.
- Get the ARPHRD_ values from a Linux kernel header.

* Thu Oct 17 2019 Nikita Ermakov <arei@altlinux.org> 2:1.9.1-alt1
- Update to 1.9.1.
- Do not compress CHANGES.
- (Fixes CVE-2018-16301 CVE-2019-15161 CVE-2019-15162 CVE-2019-15163 CVE-2019-15164 CVE-2019-15165)

* Thu Jan 24 2019 Nikita Ermakov <arei@altlinux.org> 2:1.9.0-alt2
- Fix VERSION.

* Thu Jan 24 2019 Nikita Ermakov <arei@altlinux.org> 2:1.9.0-alt1
- Updated to 1.9.0.

* Fri Feb 25 2011 Dmitry V. Levin <ldv@altlinux.org> 2:1.1.1-alt3
- Rebuilt for debuginfo.

* Tue Oct 12 2010 Dmitry V. Levin <ldv@altlinux.org> 2:1.1.1-alt2
- Rebuilt for soname set-versions.

* Wed Jun 16 2010 Dmitry V. Levin <ldv@altlinux.org> 2:1.1.1-alt1
- Updated to 1.1.1 (12 new symbols, no soname change).
- Made linker version script autogenerated.

* Wed Mar 31 2010 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.7-alt3
- Fixed build with fresh autoconf.

* Tue Dec 02 2008 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.7-alt2
- Removed obsolete %%post_ldconfig/%%postun_ldconfig calls.

* Thu Aug 02 2007 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.7-alt1
- Updated to 0.9.7.

* Sat Mar 03 2007 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.5-alt1
- Updated to 0.9.5.
- Enable /proc/net/dev support.
- Do not build static library by default.

* Thu Nov 17 2005 Dmitry V. Levin <ldv@altlinux.org> 2:0.9.4-alt1
- Updated to 0.9.4.
- Imported ppp patch from Fedora, align fix from Owl and
  manpage fix from Debian.
- Rediffed patches.
- Restricted list of global symbols exported by the library.

* Fri May 07 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.2-alt2
- Rebuilt with glibc-2.3.x.

* Tue Mar 30 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.2-alt1
- Updated to 0.8.2.

* Tue Jan 13 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt3
- libpcap-devel: provide %_includedir/net/bpf.h for compatibility.

* Sat Jan 10 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt2
- Build with explicitly enabled LFS suppport.

* Fri Jan 09 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt1
- Updated to 0.8.1, updated patches.
- Renamed libpcap to libpcap0.8.
- Override result of configure test for /proc/net/dev.

* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt2
- Corrected the timeout handling patch to do it in the packet
  receive loop rather than only once before the loop and to
  return on timeout (Owl).

* Thu Feb 27 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt1
- Updated to 2:0.7.2-alt1.

* Thu Sep 12 2002 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.1-alt3
- Updated %%post/%%postun scripts.
- Updated devel-static requirements.

* Thu Apr 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt2
- Added pcap_linux_honor_timeout patch from nmap project
 (slightly modified to avoid pcap-based software breakage).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt1
- Updated code to 0.7.1 release.
- Moved static library to devel-static subpackage.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.2-ipl1mdk
- 0.6.2

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.1-ipl1mdk
- 0.6.1
- Enabled ipv6 support.

* Fri Sep 01 2000 Dmitry V. Levin <ldv@fandra.org> 0.5.2-ipl1mdk
- 0.5.2

* Fri Jul 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.5-ipl1mdk
- RE and Fandra adaptions.

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-1mdk
- 0.5 stable
- Split from tcpdump source to is own source
- %files list cleanup
- Added dynamic lib - dirty hack
- split %%name and -devel
